<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\DozentenInfo\SammelEMail;

use Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminDialog\TerminAbsendenEMailRequest;

abstract class SammelEMailController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getRequestObj()
  {
    $requestObj = $this->getNewRequestObj();
    $requestObj->dozNummern = \RequestOperations::getVarValue('dozenten', array());
    $requestObj->referer = \GetOperations::getVarValue('referer');
    $requestObj->refererLabel = \GetOperations::getVarValue('refererLabel');

    return $requestObj;
  }

  protected function getNewRequestObj()
  {
    return new SammelEMailRequest();
  }
}